Print composer: Legend frame can be resized over its content (content is hidden)

2016-09-28 05:23 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 23552

Description

One can resize the legend item so that none of its contents appears.

In previous release, you can resize the frame to fit contents, no item could be hidden. 

Is this change intentional? in which case, why?

Related issues:

Related to QGIS Application - Bug report # 15630: Print Composer: checked "Re... Open 2016-09-28

History

#1 - 2016-09-28 11:45 AM - Nyall Dawson

Yes, this cropping is intentional behaviour if "resize to fit contents" is not selected. If you need the resizing then that checkbox should be set.

#2 - 2016-09-29 09:37 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

#3 - 2016-09-29 11:46 PM - Harrissou Santanna

Hi Nyall,

Can I have a use case where one would like to have the legend cropped (until nothing appears)?

I can see cases where the legend frame could be larger than needed (e.g, to hide things behind or have an homogeneous rendering), but hide items you

chose to add to the legend, I can't see. Need your lights, sorry!

Note that the "resize to fit contents" is somehow buggy if I understand the way it should work (see #15630)

#4 - 2018-02-28 10:58 AM - Harrissou Santanna

- Related to Bug report #15630: Print Composer: checked "Resize to Fit contents" should not allow manual resizing added
